Skip to main content
DELETE
/
v1
/
installs
/
{installSid}
/
exams
/
{examSid}
/
sessions
/
{sessionSid}
Cancel Exam Session
curl --request DELETE \
  --url http://api.dev.smarterproctoring.com/v1/installs/{installSid}/exams/{examSid}/sessions/{sessionSid} \
  --header 'Content-Type: application/json' \
  --header 'token: <api-key>' \
  --data '
{
  "cancellationMemo": "<string>",
  "type": "b-virtual",
  "reason": "no-show",
  "bypassNonRefundable": false
}
'
"<string>"

Documentation Index

Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
header
required

Path Parameters

installSid
string
required

Install Sid

Pattern: ^AI[a-f0-9]{32}$
examSid
string
required

Exam Sid

Pattern: ^EX[a-f0-9]{32}$
sessionSid
string
required

Exam Session Sid

Pattern: ^ES[a-f0-9]{32}$

Body

application/json
cancellationMemo
string
required

Memo for cancelling the exam session

type
enum<string>
Available options:
b-virtual,
ad-hoc,
instructor-as-proctor,
messaging,
proctoru,
register-blast,
vtc,
examity,
smarter-scheduling,
automated
reason
enum<string>

Reason for session cancellation

Available options:
no-show,
changed-time,
technical-issue,
other-reason
bypassNonRefundable
boolean
default:false

Whether to bypass non-refundable scheduling fees. If true, all non-refundable fees will be refunded

Response

default - application/json

Successful

The response is of type string.